aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-07-20 07:40:55 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-07-20 07:40:55 +0000
commit85611c3e0ae8d1fba9faec8233fe85a7cc1b5e16 (patch)
tree5d0022671d0f565441560d78deef0e8724093575 /main
parent880e46cd25d645f654f75468d2a2c9ed3fd489ad (diff)
downloadaports-85611c3e0ae8d1fba9faec8233fe85a7cc1b5e16.tar.gz
aports-85611c3e0ae8d1fba9faec8233fe85a7cc1b5e16.tar.bz2
aports-85611c3e0ae8d1fba9faec8233fe85a7cc1b5e16.tar.xz
main/iptables: change default location for rules-save to /etc/iptables
fixes #499
Diffstat (limited to 'main')
-rw-r--r--main/iptables/APKBUILD11
-rw-r--r--main/iptables/iptables.confd2
2 files changed, 7 insertions, 6 deletions
diff --git a/main/iptables/APKBUILD b/main/iptables/APKBUILD
index b08f790d5e..f1d34cff66 100644
--- a/main/iptables/APKBUILD
+++ b/main/iptables/APKBUILD
@@ -1,9 +1,8 @@
-#!/bin/sh
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=iptables
pkgver=1.4.11.1
-pkgrel=1
+pkgrel=2
pkgdesc="Linux kernel firewall, NAT and packet mangling tools"
url="http://www.iptables.org/"
arch="all"
@@ -50,9 +49,11 @@ package() {
"$pkgdir"/usr/lib \
"$pkgdir"/var/lib/iptables \
"$pkgdir"/etc/init.d \
- "$pkgdir"/etc/conf.d
+ "$pkgdir"/etc/conf.d \
+ "$pkgdir"/etc/iptables \
+ || return 1
install -m644 include/iptables.h include/ip6tables.h \
- "$pkgdir"/usr/include/
+ "$pkgdir"/usr/include/ || return 1
install include/libiptc/*.h "$pkgdir"/usr/include/libiptc/
install -m644 libiptc/libiptc.a "$pkgdir"/usr/lib
install -m755 "$startdir"/iptables.initd "$pkgdir"/etc/init.d/iptables
@@ -77,5 +78,5 @@ ip6tables() {
md5sums="7de6e1ae7ed8a2025f184763a6a24b9a iptables-1.4.11.1.tar.bz2
ec3e80a1b0ea3e13e4e60824b7ebd1b9 iptables-1.4.2-include-in.patch
2202ac150a5dfe32a8363b0ad565ee1d iptables.initd
-956ebf5ab69e5a1e1d3983541eab643b iptables.confd
+2ae5c23689c65ed7e827802c47acd426 iptables.confd
91933090bd9d493c91dcffc0221def61 ip6tables.confd"
diff --git a/main/iptables/iptables.confd b/main/iptables/iptables.confd
index 91287debdb..270c8d4cb5 100644
--- a/main/iptables/iptables.confd
+++ b/main/iptables/iptables.confd
@@ -2,7 +2,7 @@
# Location in which iptables initscript will save set rules on
# service shutdown
-IPTABLES_SAVE="/var/lib/iptables/rules-save"
+IPTABLES_SAVE="/etc/iptables/rules-save"
# Options to pass to iptables-save and iptables-restore
SAVE_RESTORE_OPTIONS="-c"